This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461171 - RFE: support --advisory= with install
RFE: support --advisory= with install
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Hatina
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 13:35 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2017-10-16 18:31 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-2.7.2-1.fc27 dnf-2.7.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-04 10:23:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2017-06-13 13:35:18 EDT
Description of problem:
Right now "sudo dnf upgrade --advisory FEDORA-2017-2ca3f8ca87" works, but it only allows packages to be upgraded, not installed. For solves the problem of applying security updates, but not the problem of testing bodhi updates. For the latter, there should be an option to just install the packages from the update, something like "sudo dnf install --advisory FEDORA-2017-2ca3f8ca87". I'd expect this to install all the builds for my architecture or noarch from that bodhi update.

Version-Release number of selected component (if applicable):
dnf-2.5.0-2.fc26.noarch

How reproducible:
deterministic
Comment 1 Martin Hatina 2017-06-19 06:30:27 EDT
Fixed in https://github.com/rpm-software-management/dnf/pull/845
Comment 2 Igor Gnatenko 2017-06-19 08:41:18 EDT
Martin, status should be POST, not MODIFIED.
Comment 3 Fedora Update System 2017-10-02 06:34:12 EDT
dnf-plugins-extras-2.0.3-1.fc27 dnf-plugins-core-2.1.4-1.fc27 dnf-2.7.2-1.fc27 libdnf-0.10.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683
Comment 4 Fedora Update System 2017-10-02 06:37:47 EDT
dnf-plugins-extras-2.0.3-1.fc26 dnf-plugins-core-2.1.4-1.fc26 dnf-2.7.2-1.fc26 libdnf-0.10.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065
Comment 5 Fedora Update System 2017-10-02 16:28:29 EDT
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065
Comment 6 Fedora Update System 2017-10-02 17:27:45 EDT
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683
Comment 7 Fedora Update System 2017-10-04 10:23:23 EDT
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-10-04 18:25:25 EDT
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Sergio Monteiro Basto 2017-10-16 18:24:32 EDT
rpm -q dnf
dnf-2.7.3-1.fc26.noarch

LANG=en_US dnf install --advisory FEDORA-2017-41e6f8d803 
usage: dnf install [-c [config file]] [-q] [-v] [--version]
                   [--installroot [path]] [--nodocs] [--noplugins]
                   [--enableplugin [plugin]] [--disableplugin [plugin]]
                   [--releasever RELEASEVER] [--setopt SETOPTS]
                   [--skip-broken] [-h] [--allowerasing] [-b] [-C]
                   [-R [minutes]] [-d [debug level]] [--debugsolver]
                   [--showduplicates] [-e ERRORLEVEL] [--obsoletes]
                   [--rpmverbosity [debug level name]] [-y] [--assumeno]
                   [--enablerepo [repo]] [--disablerepo [repo] | --repo
                   [repo]] [-x [package]] [--disableexcludes [repo]]
                   [--repofrompath [repo,path]] [--noautoremove]
                   [--nogpgcheck] [--color COLOR] [--refresh] [-4] [-6]
                   [--destdir DESTDIR] [--downloadonly] [--comment COMMENT]
                   [--bugfix] [--enhancement] [--newpackage] [--security]
                   [--advisory ADVISORY] [--bzs BUGZILLA] [--cves CVES]
                   [--sec-severity {Critical,Important,Moderate,Low}]
                   [--forcearch ARCH]
                   PACKAGE [PACKAGE ...]
dnf install: error: the following arguments are required: PACKAGE


?!?
Comment 10 Sergio Monteiro Basto 2017-10-16 18:30:09 EDT
sorry forget it FEDORA-2017-41e6f8d803 if for f25 when I am in f26
Comment 11 Igor Gnatenko 2017-10-16 18:31:08 EDT
(In reply to Sergio Monteiro Basto from comment #10)
> sorry forget it FEDORA-2017-41e6f8d803 if for f25 when I am in f26

doesn't matter, you should specify package. you can probably try '*'

Note You need to log in before you can comment on or make changes to this bug.